local L = LibStub("AceLocale-3.0"):GetLocale("GarrisonJukeBox")

-- Lua APIs
local tinsert, tconcat, tremove, tsort = table.insert, table.concat, table.remove, table.sort
local fmt, tostring = string.format, tostring
local select, pairs, next, type, unpack = select, pairs, next, type, unpack
local loadstring, assert, error = loadstring, assert, error
local setmetatable, getmetatable, rawset, rawget = setmetatable, getmetatable, rawset, rawget
local mrand = math.random

-------------------------------------
-- Extracts the filename from a path+filename string
-------------------------------------
function GJB:ExtractMP3Filename(str)
	local fn = ""
	local last = 1
	local i = 1

	while i ~= nil do
		i = strfind( str, "\\", i )
		if i ~= nil then
			i = i + 1
			last = i
		end
	end

	if last > 1 then
		fn = strsub( str, last )
	end
	
	return fn
end

-- -------------------------------------------
-- function to find out if music file is a PlaySoundKitID callable item
-- -------------------------------------------
function GJB:IsKitMusic(sample)
	if sample[GJB.MT_KITACTIVE] ~= nil and sample[GJB.MT_KITACTIVE] == true then
		return true
	else
		return false
	end
end

-- -------------------------------------------
-- function to sort a musictable
-- -------------------------------------------
function GJB:SortMusicTable(tbl)
	for _, v in pairs(tbl) do
		tsort(v, function(a,b) return a["name"] < b["name"] end)
	end
	return tbl
end

-- -------------------------------------------
-- function to sort a zonetable
-- -------------------------------------------
function GJB:SortZoneTable(tbl)
	for _, v in pairs(tbl) do
		tsort(v, function(a,b) return a[1] < b[1] end)
	end
	return tbl
end
